# Uses of Interface
org.apache.lucene.index.IndexReader.ClosedListener

Packages that use IndexReader.ClosedListener
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of IndexReader.ClosedListener in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type IndexReader.ClosedListener
  Modifier and Type
  Method
  Description
  `void`
  FilterDirectoryReader.DelegatingCacheHelper.`addClosedListener(IndexReader.ClosedListener listener)`
  `void`
  IndexReader.CacheHelper.`addClosedListener(IndexReader.ClosedListener listener)`
  Add a `IndexReader.ClosedListener` which will be called when the resource guarded by `IndexReader.CacheHelper.getKey()` is closed.